%global gem_name rbnacl-libsodium
%global __requires_exclude ^rubygem\\((.*)\\)

Summary: rbnacl with bundled libsodium
Name: rubygem-%{gem_name}
Version: 1.0.16
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/cryptosphere/rbnacl-libsodium
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby-devel
BuildRequires: rubygems-devel


%description
rbnacl with bundled libsodium.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

rm -rf %{buildroot}%{gem_instdir}/vendor

mkdir -p %{buildroot}%{gem_instdir}/vendor/libsodium/dist/lib
cp -a .%{gem_instdir}/tmp/x86_64-linux/stage/vendor/libsodium/dist/lib/libsodium.so* %{buildroot}%{gem_instdir}/vendor/libsodium/dist/lib/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext
rm -rf %{buildroot}%{gem_instdir}/tmp

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/vendor/libsodium/dist/lib/libsodium.so*
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/*gemspec
%{gem_instdir}/.git*
%{gem_instdir}/.travis.yml
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile

%changelog
* Thu Apr 09 2020 Satoe Imaishi <simaishi@redhat.com> - 1.0.16-2
- Remove 'vendor' directory

* Thu Apr 09 2020 Satoe Imaishi <simaishi@redhat.com> - 1.0.16-1
- Initial Build
